<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name=“date” content=“2023-11-23”>
    <title>VisioGallery</title>
    <description>mittels ChatGPT erstelltes GalerieTool von Hans Schneider</description>
    
	<link rel="stylesheet" type="text/css" href="style.css">    
    <link rel="icon" type="image/png" sizes="96x96" href="rot.png">
    <meta property="og:image" content="rot.png" />
</head>
<body>
    
	<div class="gallery">
		<div class="thumbnails">
			<?php

			$directory = "images"; // Der Pfad zum Ordner mit den Bildern
			$allowedTypes = array(IMAGETYPE_PNG, IMAGETYPE_JPEG, IMAGETYPE_GIF); // Die erlaubten Bildtypen
			$thumbWidth = 150; // Die Breite der Thumbnails

			if(is_dir($directory)) {
				$files = scandir($directory);

				foreach($files as $file) {
					$fileInfo = pathinfo($file);
					$fileExtension = strtolower($fileInfo['extension']);

					if(in_array(exif_imagetype($directory . "/" . $file), $allowedTypes)) {
						$image = imagecreatefromstring(file_get_contents($directory . "/" . $file));
						$width = imagesx($image);
						$height = imagesy($image);
						$thumbHeight = floor($height * ($thumbWidth / $width));
						$thumb = imagecreatetruecolor($thumbWidth, $thumbHeight);
						imagecopyresampled($thumb, $image, 0, 0, 0, 0, $thumbWidth, $thumbHeight, $width, $height);
						imagejpeg($thumb, $directory . "/thumbnails/" . $file, 80); // Speichert das Thumbnail als JPEG-Datei
						imagedestroy($image);
						imagedestroy($thumb);

						echo '<img src="' . $directory . '/thumbnails/' . $file . '">';
					}
				}
			}

			?>
		</div>
		<div class="overlay">
			<img src="">
			<button class="close-btn">&times;</button>
			<button class="prev-btn">&lt;</button>
			<button class="next-btn">&gt;</button>
		</div>
	</div>

	<script src="script.js"></script>
</body>
</html>





